Subject: Re: [Sigtran] (M3UA) Concern about lossy nature of M3UA connections in certain configurations

From: [email-masked]
Date: Fri, 31 May 2002 10:52:17 -0400

Hello Brian,

Thanks! I will take a look at the document.

Regards,

Jeff

"Brian F. G. Bidulock" <[email-masked]>@ietf.org on 05/31/2002
10:48:54 AM

Please respond to [email-masked]

Sent by:  [email-masked]

To:   [email-masked]
cc:   [email-masked]
Subject:  Re: [Sigtran] (M3UA) Concern about lossy nature of M3UA
      connections in certain configurations

Jeffrey,

See draft-bidulock-sigtran-corid-00.txt for a discussion of same
and a proposed solution.  This is the only proposed solution to
avoid message loss in such a scenario.  Not even implementing full
retrieval would help you completely.

--brian

[email-masked] wrote:         (Fri, 31 May 2002 09:31:06)
> Hello All,
>
> I am concerned about the lossy nature of M3UA connections for the
following
> scenario:
>
>      Very high bandwidth is required between two M3UA-connected nodes.
>      The scalable architecture of each side makes the node appear as a
set
> of
>      SCTP multi-homed nodes, called 'blades', and so a single association
>      cannot be used to connect the two nodes.  A single association
cannot
>      connect more than two blades (multi-homing does not cross blades).
>      Multiple associations are used, perhaps one per blade.  A single
point
>      of failure is an association failing (blade failing).
>
> Messages will be lost, since full retrieval below the SCTP layer is not
> possible.
> (Discussion of the challenges involved in SCTP retrieval is beyond the
> scope of
> this posting). M3UA lacks the facility to enable full retrieval.
>
> Is the answer simply that M3UA (even M3UA SG-SG) does not support
loss-less
> connectivity between two nodes connected by multiple associations, when
an
> association fails? Is the consensus that this message loss is acceptable?
>
> Just curious.
>
> Regards,
>
> Jeff
>
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: [email-masked]
Date: Fri, 31 May 2002 10:37:07 -0400

Hello Amish,

If the assumption is that an association cannot go down unless a card goes
down,
you are right.

Regards,

Jeff

[email-masked]@ietf.org on 05/31/2002 10:29:09 AM

Jeffery,

> Messages will be lost, since full retrieval below the SCTP layer is not

In SS7 you can have the equilvalent of SS7 link interface cards that
perform
MTP1-3. If the card fails you still cannot retrieve the messages.

loss-less
an
> association fails? Is the consensus that this message loss is acceptable?

To protect against hardware failure, you need hardware redundancy.

A.

*******************************************************************************

Important.
Confidentiality: This communication is intended for the above-named person
and
may be confidential and/or legally privileged. Any opinions expressed in
this
communication are not necessarily those of the company. If it has come to
you
in error you must take no action based on it, nor must you copy or show it
to
anyone; please delete/destroy and inform the sender immediately.

Monitoring/Viruses
Orange may monitor all incoming and outgoing emails in line with current
legislation.  Although we have taken steps to ensure that this email and
attachments are free from any virus, we advise that in keeping with good
computing practice the recipient should ensure they are actually virus
free.

Orange PCS Limited is a subsidiary of Orange SA and is registered in
England No
2178917, with its address at St James Court, Great Park Road, Almondsbury
Park,
Bradley Stoke, Bristol BS32 4QJ.
*******************************************************************************